Bug 426966 - Kernel oops while creating new nas0 with br2684ctl
Kernel oops while creating new nas0 with br2684ctl
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: linux-atm (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 19:07 EST by dx
Modified: 2008-06-16 22:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:58:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages grepped for today, and grepped out iptables logs (27.40 KB, text/plain)
2007-12-28 19:07 EST, dx
no flags Details

  None (edit)
Description dx 2007-12-28 19:07:47 EST
Description of problem:
I made a script that checks when my ADSL connection is lost, and tries to
reconnect when it comes back. It works most of the time, but today (while doing
br2684ctl -b -c 0 -a 0.33) it gave this message

br2684ctl[3017]: Interface "nas0" created sucessfully 
br2684ctl[3017]: Communicating over ATM 0.0.33, encapsulation: LLC 
kernel: BUG: unable to handle kernel NULL pointer dereference at virtual address
00000288
kernel: [...]

Then something segfaulted. ps aux showed a br2684ctl running. Trying to kill it
with -9 it was useless, starting another one, the same.


Version-Release number of selected component (if applicable):

linux-atm-2.5.0-1.20050118cvs

How reproducible:
No idea.

Steps to Reproduce:
Not applicable
  
Actual results:
br2684ctl[3017]: Interface "nas0" created sucessfully 
br2684ctl[3017]: Communicating over ATM 0.0.33, encapsulation: LLC 
kernel: BUG: unable to handle kernel NULL pointer dereference at virtual address
00000288

Expected results:
br2684ctl[1382]: Interface "nas0" created sucessfully 
br2684ctl[1382]: Communicating over ATM 0.0.33, encapsulation: LLC 
br2684ctl[1382]: Interface configured
br2684ctl[1392]: RFC 1483/2684 bridge daemon started
Comment 1 dx 2007-12-28 19:07:47 EST
Created attachment 290511 [details]
/var/log/messages grepped for today, and grepped out iptables logs
Comment 2 Bug Zapper 2008-05-14 11:12:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:58:10 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.